@import '../../../../components/common/css/common';

// Teaser primary

.cmp-teaser--primary {
    background: linear-gradient(91deg, #211C24 0.64%, #211C24 101%);

    .cmp-teaser {
        max-width: 1120px;
        margin: 0 auto;
        display: flex;
        justify-content: space-between;
        align-items: center;

        // &>* {
        //     background-color: aqua;
        // }

        @include mobile {
            flex-direction: column;
            padding: 0px 16px;
        }

        .cmp-teaser__content {
            flex: 5;

            @include mobile {
                width: 100%;
                display: flex;
                justify-content: center;
                flex-direction: column;
                align-items: center;
                text-align: center;
            }

            .cmp-teaser__pretitle {
                color: #FFF;
                font-size: 25px;
                line-height: 32px;
                opacity: 0.4;

                @include mobile {
                    padding-top: 20px;
                }
            }

            .cmp-teaser__title {
                padding-top: 24px;
                color: #FFF;
                font-size: 96px;
                line-height: 72px;
                letter-spacing: -0.96px;

                @include mobile {
                    font-size: 72px;
                    font-weight: 600;
                }
            }

            .cmp-teaser__description {
                padding: 24px 0px;
                color: #909090;
                font-size: 18px;
                line-height: 24px;

                @include mobile {
                    font-size: 20px;
                }
            }

            .cmp-teaser__action-container {
                width: 184px;
                padding: 16px 52px;
                border-radius: 6px;
                border: 1px solid #FFF;

                .cmp-teaser__action-link {
                    color: #FFF;
                    text-align: center;
                    font-size: 16px;
                    line-height: 24px;
                }
            }
        }

        .cmp-teaser__image {
            flex: 5;
            // padding-top: 73px;

            @include mobile {
                width: 100%;
                // padding-top: 48px;
            }

            .cmp-image {


                .cmp-image__image {
                    object-fit: contain;
                    height: auto;
                }
            }

        }
    }
}


.cmp-teaser--primary2 {
    .cmp-teaser {
        .cmp-teaser__content {
            flex: 6;
        }

        .cmp-teaser__image  {
            flex: 4;
        }
    }
}

// variant three

.cmp-teaser--primary3 {
    .cmp-teaser {
        .cmp-teaser__content {
            flex: 7;
        }

        .cmp-teaser__image  {
            flex: 3 ;
        }
    }
}

// Variant Four
.cmp-teaser--primary4 {
    .cmp-teaser {
        .cmp-teaser__content {
            flex: 6;
        }

        .cmp-teaser__image  {
            flex: 4 ;
        }
    }
}

// Variant Five

.cmp-teaser--primary5 {
    .cmp-teaser {
        .cmp-teaser__content {
            flex: 3;
        }

        .cmp-teaser__image  {
            flex: 7;
        }
    }
}